import { defineComponent as V, computed as c, resolveComponent as K, openBlock as $, createBlock as f, mergeProps as a, withCtx as n, renderSlot as _, createVNode as b, unref as s, isRef as I } from "vue";
import { i as g, z as S, A as U, B as P, C, D as A, E as D, F as y, G as k, H as N, I as T, J as w, L as B, M as G, N as F, O as L, P as v, Q as M, R as O, S as R, T as Y, U as j, V as J, W as z, X as H, Y as Q, Z as W, $ as X, a0 as q, a1 as Z, a2 as x, a3 as h, a4 as ee, a5 as le } from "./index-1e3e8095.js";
import { isString as te, isDate as E } from "lodash-es";
import "axios";
import "@vueuse/core";
import "vue-i18n";
const oe = /* @__PURE__ */ V({
  __name: "KaCheckboxInput",
  props: g(Boolean),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(S), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ne = /* @__PURE__ */ V({
  __name: "KaColorInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(U), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ae = /* @__PURE__ */ V({
  __name: "KaComboboxInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(P), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), se = /* @__PURE__ */ V({
  __name: "KaFontAwesomeIconsInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(C), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ue = /* @__PURE__ */ V({
  __name: "KaFontFamilyInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(A), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), me = /* @__PURE__ */ V({
  __name: "KaGradientColorInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(D), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), pe = /* @__PURE__ */ V({
  __name: "KaImageViewerInput",
  props: g([Array, String]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(y), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), re = /* @__PURE__ */ V({
  __name: "KaDocumentInput",
  props: g([Array, String]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(k), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), de = /* @__PURE__ */ V({
  __name: "KaJsonEditorInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(N), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ie = /* @__PURE__ */ V({
  __name: "KaMediaPlayerInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(T), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), _e = /* @__PURE__ */ V({
  __name: "KaNavigationPropertyListInput",
  props: g(Object),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(w), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ve = /* @__PURE__ */ V({
  __name: "KaNumberInput",
  props: g(Number),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(B), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ce = /* @__PURE__ */ V({
  __name: "KaRatingInput",
  props: g(Number),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(G), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ke = /* @__PURE__ */ V({
  __name: "KaSelectInput",
  props: g([Object, String, Boolean, Date, Number]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, {
        "component-name": "select-input",
        slots: e.$slots
      }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(F), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), $e = /* @__PURE__ */ V({
  __name: "KaSelectMultipleInput",
  props: g(Array),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, {
        "component-name": "select-multiple-input",
        slots: e.$slots
      }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(L), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), fe = /* @__PURE__ */ V({
  __name: "KaStringInput",
  props: g([String, Number, Date, Boolean]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e != null ? e.toString() : null);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(v), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), {
            "prepend-icon": n(() => [
              _(e.$slots, "prepend-icon")
            ]),
            "prepend-inner-icon": n(() => [
              _(e.$slots, "prepend-inner-icon")
            ]),
            "prepend-inner": n(() => [
              _(e.$slots, "prepend-inner")
            ]),
            "append-icon": n(() => [
              _(e.$slots, "append-icon")
            ]),
            "append-outer-icon": n(() => [
              _(e.$slots, "append-outer-icon")
            ]),
            _: 2
          }, 1040, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), be = /* @__PURE__ */ V({
  __name: "KaSwitchInput",
  props: g(Boolean),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(M), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ie = /* @__PURE__ */ V({
  __name: "KaTextAreaInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(O), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ge = /* @__PURE__ */ V({
  __name: "KaTextEditorInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(R), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ee = /* @__PURE__ */ V({
  __name: "KaTimePickerInput",
  props: g([String, Date]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        (te(e) || e == null) && p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(Y), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ve = /* @__PURE__ */ V({
  __name: "KaToggleButtonInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(j), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Se = /* @__PURE__ */ V({
  __name: "KaYesNoInput",
  props: g(Boolean),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(J), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ue = /* @__PURE__ */ V({
  __name: "KaGetAvatarInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(z), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Pe = /* @__PURE__ */ V({
  __name: "KaGravatarImgInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(H), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ce = /* @__PURE__ */ V({
  __name: "KaLottiePlayerInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(Q), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ae = /* @__PURE__ */ V({
  __name: "KaVideoPlayerInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(W), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), De = /* @__PURE__ */ V({
  __name: "KaYoutubeInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(X), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ye = /* @__PURE__ */ V({
  __name: "KaAutoCompleteInput",
  props: g(Array),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(q), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), {
            "prepend-icon": n(() => [
              _(e.$slots, "prepend-icon")
            ]),
            "prepend-inner-icon": n(() => [
              _(e.$slots, "prepend-inner-icon")
            ]),
            "append-icon": n(() => [
              _(e.$slots, "append-icon")
            ]),
            "append-outer-icon": n(() => [
              _(e.$slots, "append-outer-icon")
            ]),
            _: 2
          }, 1040, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ke = /* @__PURE__ */ V({
  __name: "KaDatePickerInput",
  props: g([Date, String]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        (E(e) || e == null) && p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(Z), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ne = /* @__PURE__ */ V({
  __name: "KaDateTimePickerInput",
  props: g([Date, String]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        (E(e) || e == null) && p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(x), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Te = /* @__PURE__ */ V({
  __name: "KaCalendarInput",
  props: g([Date, String]),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        (E(e) || e == null) && p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(h), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), we = /* @__PURE__ */ V({
  __name: "KaSliderInput",
  props: g(Number),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(ee), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Be = /* @__PURE__ */ V({
  __name: "KaPasswordInput",
  props: g(String),
  emits: ["update:modelValue"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(v), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null),
            type: "password"
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ge = /* @__PURE__ */ V({
  __name: "KaGoogleAddressAutocompleteInput",
  props: g(Object),
  emits: ["update:modelValue", "callback"],
  setup(u, { emit: m }) {
    const t = u, p = m, l = c({
      get() {
        return t.modelValue;
      },
      set(e) {
        p("update:modelValue", e);
      }
    });
    return (e, o) => {
      const r = K("KaElement");
      return $(), f(r, a(t, { slots: e.$slots }), {
        label: n(() => [
          _(e.$slots, "label")
        ]),
        default: n((d) => [
          b(s(le), a({
            modelValue: s(l),
            "onUpdate:modelValue": o[0] || (o[0] = (i) => I(l) ? l.value = i : null)
          }, d), null, 16, ["modelValue"])
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), je = {
  KaGoogleAddressAutocompleteInput: Ge,
  KaAutoCompleteInput: ye,
  KaCheckboxInput: oe,
  KaColorInput: ne,
  KaComboboxInput: ae,
  KaDatePickerInput: ke,
  KaDateTimePickerInput: Ne,
  KaCalendarInput: Te,
  KaFontAwesomeIconsInput: se,
  KaFontFamilyInput: ue,
  KaGetAvatarInput: Ue,
  KaGradientColorInput: me,
  KaGravatarImgInput: Pe,
  KaImageViewerInput: pe,
  KaDocumentInput: re,
  KaJsonEditorInput: de,
  KaLottiePlayerInput: Ce,
  KaMediaPlayerInput: ie,
  KaNavigationPropertyListInput: _e,
  KaNumberInput: Ve,
  KaRatingInput: ce,
  KaSelectInput: Ke,
  KaSelectMultipleInput: $e,
  KaSliderInput: we,
  KaStringInput: fe,
  KaSwitchInput: be,
  KaTextAreaInput: Ie,
  KaTextEditorInput: ge,
  KaTimePickerInput: Ee,
  KaToggleButtonInput: ve,
  KaVideoPlayerInput: Ae,
  KaYesNoInput: Se,
  KaYoutubeInput: De,
  KaPasswordInput: Be
};
export {
  je as default
};
